/*
 * Copyright (C) 2012 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.build.gradle

import org.gradle.api.tasks.OutputFile
import org.gradle.api.tasks.TaskAction
import org.gradle.api.tasks.InputFiles

/**
 */
class ProcessManifestTask extends BaseAndroidTask {

    // this is not actually used by the task because it needs a graph more than a list
    // but we need it here with the @InputFiles annotation to properly trigger recompiles.
    @InputFiles
    List<File> inputManifests

    @OutputFile
    File processedManifest

    @TaskAction
    void generate() {
        getBuilder().processManifest(getProcessedManifest().absolutePath)
    }
}
